/*
 * Standard include file for "less".
 */

/*
 * Include the file of compile-time options.
 */
#include "defines.h"

/*
 * Language details.
 */
#if !VOID
#define	void  int
#endif
#define	public		/* PUBLIC FUNCTION */

/*
 * Special types and constants.
 */
typedef long		POSITION;
/*
 * {{ Warning: if POSITION is changed to other than "long",
 *    you may have to change some of the printfs which use "%ld"
 *    to print a variable of type POSITION. }}
 */

#define	NULL_POSITION	((POSITION)(-1))

/*
 * The type of signal handler functions.
 * Usually int, although it should be void.
 */
typedef	int		HANDLER;

/*
 * The type of a file handle.
 * (Unfortunate name: HANDLE has nothing to do with HANDLER!)
 */
typedef	int		HANDLE;

#define	FILENAME	128	/* Max size of a filename */

#define	EOI		(0)

#ifndef NULL
#define NULL		0
#endif

#define	READ_INTR	(-2)

/* How quiet should we be? */
#define	NOT_QUIET	0	/* Ring bell at eof and for errors */
#define	LITTLE_QUIET	1	/* Ring bell only for errors */
#define	VERY_QUIET	2	/* Never ring bell */

/* How should we prompt? */
#define	PR_SHORT	0	/* Prompt with colon */
#define	PR_MEDIUM	1	/* Prompt with message */
#define	PR_LONG		2	/* Prompt with longer message */

/* How should we handle backspaces? */
#define	BS_SPECIAL	0	/* Do special things for underlining and bold */
#define	BS_NORMAL	1	/* \b treated as normal char; actually output */
#define	BS_CONTROL	2	/* \b treated as control char; prints as ^H */

/* How should we search? */
#define	SRCH_FORW	0	/* Search forward from current position */
#define	SRCH_BACK	1	/* Search backward from current position */
#define	SRCH_FILE	2	/* Search forward from beginning of file */
#define	SRCH_NOMATCH	0100	/* Search for non-matching lines */
#define	SRCH_TYPE(t)	((t) & 077)
#define	SRCH_FLAG(t)	((t) & 0100)

/* Special chars used to tell put_line() to do something special */
#define	CARATBIT	(0x100)
#define	UL_CHAR		(0x201)	/* Enter underline mode */
#define	UE_CHAR		(0x202)	/* Exit underline mode */
#define	BO_CHAR		(0x203)	/* Enter boldface mode */
#define	BE_CHAR		(0x204)	/* Exit boldface mode */

#define	CONTROL(c)		((c)&037)
#define	SIGNAL(sig,func)	signal(sig,func)

/* Library function declarations */
offset_t lseek();
#define	BAD_LSEEK	((offset_t)-1)
void *calloc();
char *ecalloc();

#include "funcs.h"
