NAME
     lesskey - specify key bindings for less

SYNOPSIS
     lesskey [-o output] [input]

DESCRIPTION
     Lesskey is used to specify a set of key bindings to be used
     by less. The input file is a text file which describes the
     key bindings, and the output file is a binary file which is
     used by less. If no input file is specified, standard input
     is used.  If no output file is specified, $HOME/.less is
     used.

     The input file consists of lines of the form:

          string <whitespace> action <newline>

     Whitespace is any sequence of one or more spaces and/or
     tabs.  The "string" is the command key(s) which invoke the
     action.  The string may be a single command key, or a
     sequence of up to 15 keys.  The "action" is the name of the
     less action, from the list below.  The characters in the
     "string" may appear literally, or be prefixed by a carat to
     indicate a control key.  A backslash may be used to cause
     the following character to be taken literally.  Characters
     which must be preceded by backslash include carat, space,
     tab and the backslash itself.  A backslash followed by one
     to three octal digits may be used to specify a character by
     its octal value.  Blank lines and lines which start with a
     pound sign (#) are ignored.

     A special case is the "toggle-option" action.  This action
     may be followed by a single letter indicating the option to
     be toggled.  See the ":ta" command in the example below.

     As an example, the following input file describes the set of
     default command keys used by less:

          k              back-line
          y              back-line
          ^K             back-line
          ^Y             back-line
          ^P             back-line
          b              back-screen
          ^B             back-screen
          \33v           back-screen
          u              back-scroll
          ^U             back-scroll
          ?              back-search
          w              back-window
          {              bracket-{
          }              bracket-}
          (              bracket-(
          )              bracket-)
          [              bracket-[
          ]              bracket-]
          %              bracket-any
          E              examine
          :e             examine
          ^X^V           examine
          \33/           file-search
          +              first-cmd
          e              forw-line
          j              forw-line
          ^E             forw-line
          ^J             forw-line
          ^M             forw-line
          ^N             forw-line
          f              forw-screen
          ^F             forw-screen
          \40            forw-screen
          ^V             forw-screen
          d              forw-scroll
          ^D             forw-scroll
          /              forw-search
          z              forw-window
          G              goto-end
          >              goto-end
          \33>           goto-end
          g              goto-line
          <              goto-line
          \33<           goto-line
          '              goto-mark
          ^X^X           goto-mark
          h              help
          H              help
          N              next-file
          :n             next-file
          p              percent
          P              prev-file
          :p             prev-file
          q              quit
          :q             quit
          :Q             quit
          ZZ             quit
          ^L             repaint
          ^R             repaint
          r              repaint
          R              flush-repaint
          n              repeat-search
          \33n           reverse-search
          m              set-mark
          !              shell
          =              status
          ^G             status
          :f             status
          -              toggle-option
          :ta            toggle-option t
          s              toggle-option l
          _              display-option
          V              version
          v              visual


     Commands specified by lesskey take precedence over the
     default commands.  A default command key may be disabled by
     including it in the key file with the action "invalid".

SEE ALSO
     less(1)
