/*
 * Routines dealing with getting input from the keyboard (i.e. from the user).
 */

#include <stdio.h>
#include "less.h"

#ifdef MSDOS
#define INCL_SUB
#define INCL_NOPM
#include <os2.h>
#endif

static int tty;

/*
 * Open keyboard for input.
 * (Just use file descriptor 2.)
 */
	public void
open_getchr()
{
	tty = 2;
}

/*
 * Get a character from the keyboard.
 */
	public int
getchr()
{
        int c;
	int result;

        flush();

	do
	{
#ifdef MSDOS
                static int ext, scan;
                KBDKEYINFO ki;

                if ( ext )
                {
                  ext = 0;
                  c = scan;
                }
                else
                {
                  KbdCharIn(&ki, IO_WAIT, 0);
                  c = ki.chChar;

                  if ( c == 0 || c == 0xE0 )
                  {
                    c = 0xE0;
                    ext = 1;
                    scan = ki.chScan;
                  }
                }
                result = 1;
#else
		result = iread(tty, &c, sizeof(char));
		if (result == READ_INTR)
			return (READ_INTR);
#endif
		if (result < 0)
		{
			/*
			 * Don't call error() here,
			 * because error calls getchr!
			 */
			quit();
		}
	} while (result != 1 || c == '\0');
	return (c);
}
